Problem building Postgis 1.5.x for Pg 8.4 on Ubuntu 9.10

Here are things installed:

$ sudo apt-get install postgresql-server-dev-8.4 libpq5 libpq-dev

Here is a past to my config.out: http://pastebin.com/8Nk6pr96

And, here are some hints I got from IRC (names concealed)

< foo> it's NOT failing to find libpq.
< foo> libpq is present, but not compilable without adding a boatload of other -l flags
< foo> and postgis' configure doesn't let you specify that via LIBS
< foo> his paste contains the config.out, which shows this

The configure dies with this, configure: error: could not find libpq

I intend to install postgis for mapfish :)

Answers


Just out of curiosity, why would you bother to compile your own postgis when the same version is available from the ubuntu maverick universe package repository?

If you are really bent on building it yourself, I would recommend checking out the source package for postgis on ubuntu. It will have a debian/rules file that describes it's build procedure. You can download the source package to the current directory with "apt-get source postgis" assuming your apt repos include the universe repo.


Need Your Help

Is it possible to write an SQL function that outputs JSON?

php mysql sql

I just had the idea of writing a function in MySQL that I can pass a subquery to for it to output the JSON representation of that subquery.

How to structure multiple REST API sets in laravel

php rest laravel

I am building a set of rest APIs for a mobile app as well as set of them which can be consumed by merchants ( for an app or web ) . The two sets of APIs have common properties, for example